# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.13

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/pkg/bin/cmake

# The command to remove a file.
RM = /usr/pkg/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2

# Include any dependencies generated for this target.
include 3rdparty/getopt/CMakeFiles/getopt.dir/depend.make

# Include the progress variables for this target.
include 3rdparty/getopt/CMakeFiles/getopt.dir/progress.make

# Include the compile flags for this target's objects.
include 3rdparty/getopt/CMakeFiles/getopt.dir/flags.make

3rdparty/getopt/moc_CGetOpt.cxx: 3rdparty/getopt/CGetOpt.h
3rdparty/getopt/moc_CGetOpt.cxx: 3rdparty/getopt/moc_CGetOpt.cxx_parameters
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --blue --bold --progress-dir=/tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Generating moc_CGetOpt.cxx"
	cd /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/3rdparty/getopt && /usr/pkg/qt4/bin/moc @/tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/3rdparty/getopt/moc_CGetOpt.cxx_parameters

3rdparty/getopt/CMakeFiles/getopt.dir/CGetOpt.cpp.o: 3rdparty/getopt/CMakeFiles/getopt.dir/flags.make
3rdparty/getopt/CMakeFiles/getopt.dir/CGetOpt.cpp.o: 3rdparty/getopt/CGetOpt.cpp
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Building CXX object 3rdparty/getopt/CMakeFiles/getopt.dir/CGetOpt.cpp.o"
	cd /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/3rdparty/getopt && /tmp/pkgbuild/geography/qlandkartegt/work/.cwrapper/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles/getopt.dir/CGetOpt.cpp.o -c /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/3rdparty/getopt/CGetOpt.cpp

3rdparty/getopt/CMakeFiles/getopt.dir/CGetOpt.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/getopt.dir/CGetOpt.cpp.i"
	cd /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/3rdparty/getopt && /tmp/pkgbuild/geography/qlandkartegt/work/.cwrapper/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/3rdparty/getopt/CGetOpt.cpp > CMakeFiles/getopt.dir/CGetOpt.cpp.i

3rdparty/getopt/CMakeFiles/getopt.dir/CGetOpt.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/getopt.dir/CGetOpt.cpp.s"
	cd /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/3rdparty/getopt && /tmp/pkgbuild/geography/qlandkartegt/work/.cwrapper/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/3rdparty/getopt/CGetOpt.cpp -o CMakeFiles/getopt.dir/CGetOpt.cpp.s

3rdparty/getopt/CMakeFiles/getopt.dir/moc_CGetOpt.cxx.o: 3rdparty/getopt/CMakeFiles/getopt.dir/flags.make
3rdparty/getopt/CMakeFiles/getopt.dir/moc_CGetOpt.cxx.o: 3rdparty/getopt/moc_CGetOpt.cxx
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "Building CXX object 3rdparty/getopt/CMakeFiles/getopt.dir/moc_CGetOpt.cxx.o"
	cd /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/3rdparty/getopt && /tmp/pkgbuild/geography/qlandkartegt/work/.cwrapper/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles/getopt.dir/moc_CGetOpt.cxx.o -c /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/3rdparty/getopt/moc_CGetOpt.cxx

3rdparty/getopt/CMakeFiles/getopt.dir/moc_CGetOpt.cxx.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/getopt.dir/moc_CGetOpt.cxx.i"
	cd /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/3rdparty/getopt && /tmp/pkgbuild/geography/qlandkartegt/work/.cwrapper/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/3rdparty/getopt/moc_CGetOpt.cxx > CMakeFiles/getopt.dir/moc_CGetOpt.cxx.i

3rdparty/getopt/CMakeFiles/getopt.dir/moc_CGetOpt.cxx.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/getopt.dir/moc_CGetOpt.cxx.s"
	cd /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/3rdparty/getopt && /tmp/pkgbuild/geography/qlandkartegt/work/.cwrapper/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/3rdparty/getopt/moc_CGetOpt.cxx -o CMakeFiles/getopt.dir/moc_CGetOpt.cxx.s

# Object files for target getopt
getopt_OBJECTS = \
"CMakeFiles/getopt.dir/CGetOpt.cpp.o" \
"CMakeFiles/getopt.dir/moc_CGetOpt.cxx.o"

# External object files for target getopt
getopt_EXTERNAL_OBJECTS =

lib/libgetopt.a: 3rdparty/getopt/CMakeFiles/getopt.dir/CGetOpt.cpp.o
lib/libgetopt.a: 3rdparty/getopt/CMakeFiles/getopt.dir/moc_CGetOpt.cxx.o
lib/libgetopt.a: 3rdparty/getopt/CMakeFiles/getopt.dir/build.make
lib/libgetopt.a: 3rdparty/getopt/CMakeFiles/getopt.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --bold --progress-dir=/tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "Linking CXX static library ../../lib/libgetopt.a"
	cd /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/3rdparty/getopt && $(CMAKE_COMMAND) -P CMakeFiles/getopt.dir/cmake_clean_target.cmake
	cd /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/3rdparty/getopt && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/getopt.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
3rdparty/getopt/CMakeFiles/getopt.dir/build: lib/libgetopt.a

.PHONY : 3rdparty/getopt/CMakeFiles/getopt.dir/build

3rdparty/getopt/CMakeFiles/getopt.dir/clean:
	cd /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/3rdparty/getopt && $(CMAKE_COMMAND) -P CMakeFiles/getopt.dir/cmake_clean.cmake
.PHONY : 3rdparty/getopt/CMakeFiles/getopt.dir/clean

3rdparty/getopt/CMakeFiles/getopt.dir/depend: 3rdparty/getopt/moc_CGetOpt.cxx
	cd /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2 && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2 /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/3rdparty/getopt /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2 /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/3rdparty/getopt /tmp/pkgbuild/geography/qlandkartegt/work/qlandkartegt-1.4.2/3rdparty/getopt/CMakeFiles/getopt.dir/DependInfo.cmake --color=$(COLOR)
.PHONY : 3rdparty/getopt/CMakeFiles/getopt.dir/depend

